package com.ruoyi.oa.service;


import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;
import com.ruoyi.oa.domain.bo.EmployeeOnboardingBo;
import com.ruoyi.oa.domain.vo.EmployeeOnboardingVo;

import javax.validation.constraints.NotNull;
import java.util.Collection;
import java.util.List;

/**
 * 入职管理Service接口
 *
 * @author hdka
 * @date 2025-02-15
 */
public interface IEmployeeOnboardingService {

    /**
     * 查询入职管理
     */
    EmployeeOnboardingVo queryById(Long onboardingId);

    /**
     * 查询入职管理列表
     */
    TableDataInfo<EmployeeOnboardingVo> queryPageList(EmployeeOnboardingBo bo, PageQuery pageQuery);

    /**
     * 查询入职管理列表
     */
    List<EmployeeOnboardingVo> queryList(EmployeeOnboardingBo bo);

    /**
     * 新增入职管理
     */
    Boolean insertByBo(EmployeeOnboardingBo bo);

    /**
     * 修改入职管理
     */
    Boolean updateByBo(EmployeeOnboardingBo bo);

    /**
     * 校验并批量删除入职管理信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    /**
     * 查询入职信息
     * @param userId
     * @return
     */
    EmployeeOnboardingVo queryByUserId(@NotNull(message = "主键不能为空") Long userId);
}
